/* style.css */

/* GENERAL CSS */

.d-none {
  display: none;
}

.flex-row {
  display: flex;
  flex-wrap: wrap;
}

.flex-row .well {
  height: calc(100% - 30px);
}

.img-center img {
  margin: 0 auto;
}

.text-uppercase {
  text-transform: uppercase;
}

.semibold {
  font-weight: 600;
}

.well .sprite {
  display: inline-block;
  margin-left: 20px;
}

.well table .sprite {
  margin-left: 0;
}

.row.info {
  display: flex;
  flex-wrap: wrap;
}

.row.info > div {
  margin-bottom: 15px;
}

.info .well {
  min-height: 80px;
  font-size: 25px;
}

.prints .info .well {
  font-size: 18px;
}

.flexbox .info .well {
  /* display: flex; */
  height: calc(100% - 15px);
}

.info .well .pull-left {
  width: calc(100% - 60px);
}

.info .well .pull-right {
  width: 60px;
}

.flexbox .info .well .pull-right {
  align-self: flex-end;
}

.info .well-white .pull-left {
  margin: 15px 0;
}

.btn:hover,
.info .well:hover {
  -webkit-box-shadow: 3px 3px 3px 0px rgba(0, 0, 0, 0.35);
  -moz-box-shadow: 3px 3px 3px 0px rgba(0, 0, 0, 0.35);
  box-shadow: 3px 3px 3px 0px rgba(0, 0, 0, 0.35);
  -webkit-transform: translate(-3px, -3px); /* IE 9 */
  -moz-transform: translate(-3px, -3px); /* Safari */
  transform: translate(-3px, -3px);
}

.btn:active,
.btn:focus,
.info .well:active,
.info .well:focus {
  box-shadow: none;
  transform: initial;
}

.well .full {
  margin: 15px -36px;
  padding: 25px 40px;
}

.sprite-big {
  margin: 5px 0;
}

.panel-heading {
  -webkit-transition: background-color 0.5s ease-in-out;
  -moz-transition: background-color 0.5s ease-in-out;
  transition: background-color 0.5s ease-in-out;
}

.panel-heading.bgopend {
  background-color: #4880bb;
  border-color: #4880bb;
}

.panel-body {
  font-size: 18px;
  font-weight: 300;
  line-height: 1.3;
}
.panel .txt {
  margin: 5px 0 5px 20px;
}

.panel .panel-title .pull-right {
  margin: 5px 0;
}

/* TEMPLATE */

/* TEMPLATE: Search */
.search {
  margin-left: 290px;
  margin-top: 16px;
}

.search .searchicon {
  margin-top: 2px;
}

/* .search .custom-search-form {
  margin: 0 15px;
} */

/* TEMPLATE: Topnav */
.navbar-top-links {
  margin: 8px 0;
  font-size: 18px;
}
.navbar-top-links li {
  display: inline-block;
}

#nav {
  height: 70px;
  background-color: #fff;
  -webkit-box-shadow: 5px 5px 3px 0px rgba(0, 0, 0, 0.35);
  -moz-box-shadow: 5px 5px 3px 0px rgba(0, 0, 0, 0.35);
  box-shadow: 5px 5px 3px 0px rgba(0, 0, 0, 0.35);
}

/* TEMPLATE: Sidebar */
#sidebar {
  z-index: 1;
  position: fixed;
  width: 280px;
  min-height: 100vh;
  font-weight: 700;
  box-shadow: 5px 75px 3px 0 rgba(0, 0, 0, 0.35);
}

#sidebar .nav > li > a:hover,
#sidebar .nav > li > a:focus,
#sidebar .nav > li.active > a {
  background-color: #004381;
}

#sidebar .nav-second-level > li > a {
  background-color: #4b81b9;
}

#sidebar .nav-second-level > li > a:hover,
#sidebar .nav-second-level > li.active > a,
#sidebar .nav-second-level > li > a:focus {
  background-color: #3a689b;
}

#sidebar a {
  color: #fff;
}

/* TEMPLATE: Logo */
.navbar-header {
  width: 100%;
  height: 177px;
}

.navbar-brand {
  width: 100%;
  height: 100%;
}

/* TEMPLATE: Sidebar -> Navigation */

/* #sidebar .nav-second-level > li:last-child { */
/* visibility: hidden; */
/* display: none; */
/* } */

#sidebar .sidebar-nav {
  margin-top: 177px;
  max-height: calc(100vh - 177px);
  overflow: auto;
}

/* TEMPLATE: Content */
.wrapper {
  padding-bottom: 30px;
}

#content {
  margin: 110px 35px 0 315px;
  max-width: 1350px;
}

/* TEMPLATE: Alerts  */
.close .sprite-x-white {
  margin: 4px 0;
}

/* TEMPLATE: Tables */
.w40 {
  width: 40px;
}
.w70 {
  width: 70px;
}
.w110 {
  width: 110px;
}
.w130 {
  width: 130px;
}
.w170 {
  width: 170px;
}
.w260 {
  width: 260px;
}

#results {
  font-size: 16px;
}

/* TEMPLATE: PAGINATION */
#pagination {
  margin-top: 20px;
}

#pagination .text-muted {
  margin-top: 17px;
}

#pagination .pagination {
  margin: 0;
}

/* LOGIN */
#login {
  margin-top: 150px;
}

.login-panel {
  padding: 30px;
  -webkit-box-shadow: 5px 5px 3px 0px rgba(0, 0, 0, 0.35);
  -moz-box-shadow: 5px 5px 3px 0px rgba(0, 0, 0, 0.35);
  box-shadow: 5px 5px 3px 0px rgba(0, 0, 0, 0.35);
}

#login .img-center,
#login .text-right {
  margin-bottom: 15px;
}

#login label {
  font-size: 18px;
  font-weight: normal;
}

#login .input-group-addon {
  padding: 5px 12px 3px;
}

#login .input-group-addon > div {
  width: 20px;
}

#login .input-group-addon span {
  margin: 0 auto;
}

#login button .sprite,
#nav .sprite {
  display: inline-block;
  margin-bottom: -4px;
}

#nav a > .sprite {
  margin-right: 20px;
}

#nav a > .sprite-pdf-white {
  margin-right: 0;
}

/* HELP */
.help .well p {
  margin-bottom: 0;
}

.help .well .sprite-user-black {
  margin: 0;
}

.help h2 {
  margin-top: 0;
}

/* TEMPLATES */
.site.templates h1,
.site.help h1 {
  font-weight: 800;
  color: #477fba;
}

.template-img {
  margin-bottom: 30px;
}

.control-label.hidden-lg {
  margin-top: 15px;
}

.form-horizontal .control-label.small {
  padding-top: 10px;
}

.form-group.bg-primary {
  padding: 10px 0px 10px 0px;
}

.navbar-brand,
.navbar-brand:hover,
.navbar-default .navbar-brand:hover,
.navbar-default .navbar-brand:focus {
  background: #fff;
}


.pdf-preview-wrap {
  position: relative;
}

.pdf-preview {
  position: absolute;
  z-index: 3000;
  bottom: 3rem;
  left: 0;
  opacity: 0;
  visibility: hidden;
  transition: all 250ms ease;
  pointer-events: none;
}

tr:hover .pdf-preview {
  opacity: 1;
  visibility: visible;
}

/* --------------- New 2021 -------------- */
.multiselect-buttons-container {
  display: flex;
  gap: 10px;
  margin-bottom: 30px;
}
.share_shop_container {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

.share_shop_label {
  display: flex;
  flex-direction: row-reverse;
  gap: 30px;
}

/* Archive */
.item_multiselect_checkbox_arrow {
  width: 0;
  height: 0;
  border-left: 5px solid transparent;
  border-right: 5px solid transparent;
  border-bottom: 10px solid #000;
  margin-top: 3px;
}

.item_multiselect_checkbox_arrow_container {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: 5px;
}

.archive_final_table_row {
  border-top: 2px solid #000;
}

/* search */
.search__form {
  display: flex;
  align-items: center;
  gap: 15px;
}
.search__form .form-group {
  margin-bottom: 0;
}
.search__submit-button {
  background-color: transparent;
  border: none;
}

/* Print */
.edit-button {
  background-color: transparent;
  border: none;
}

.multiselect-save-button {
  color: #000;
}

.multiselect-save-button:hover,
.multiselect-save-button:focus {
  text-decoration: none;
}

/* items validity period */
.validity-period__container > div {
  margin-bottom: 50px;
}
.validity-period__container > div:last-child {
  margin-bottom: 0;
}

.validity-period__label_input {
  display: flex;
  gap: 10px;
  align-items: center;
  margin-top: 10px;
  margin-left: 18px;

  font-weight: 400;
}

.pdf-edit-active span {
  background: none;
}

#pdf-upload-form #category {
  margin-top: 2rem;
}

.pdf-category, #pdf-upload-form select {
  padding: 3px 0;
}

.pagelimiter-wrapper {
  display: flex;
  justify-content: flex-end;
}

.text-template-item {
  display: flex;
  align-items: center;
  margin: 20px 0;
  padding: 10px;
  border: 1px solid grey;
}

.text-template-item input {
  flex-basis: 50%;
  flex-grow: 1;
}

.text-template-item button {
  appearance: none;
  border: none;
  background: none;
  margin: 0;
  padding: 0;
  display: flex;
}

button.text-template-delete {
  margin-left: auto;
}

.text-template-edit {
  font-size: 0;
}

.text-template-edit.active {
  font-size: unset;
}

.text-template-edit.active .sprite-edit-black {
  background: none;
}

.add-text-template {
  display: flex;
}

#text_template {
  flex-grow: 1;
}

.add-text-template .btn {
  margin-left: 1em;
}
